imports:
  - { resource: elastica/ }

fos_elastica:
  clients:
    default: { host: '%env(resolve:ELASTICSEARCH_HOST)%', port: '%env(resolve:ELASTICSEARCH_PORT)%' }
  indexes:
    search:
      use_alias: true
      client: default
      finder: ~
      settings:
        index:
          analysis:
            analyzer:
              search_analyzer:
                type:    custom
                tokenizer:    standard
                filter:    [standard, asciifolding ,lowercase]
              custom_analyzer:
                type:    custom
                tokenizer:    standard
                filter:    [standard, asciifolding ,lowercase]
              custom_search_analyzer:
                type:    custom
                tokenizer:    standard
                filter:    [standard, asciifolding ,lowercase]